#include "libacrosslite.h"

int main (int argc, char** argv) {

    if (argc != 3) {
        cout << endl;
        cout << "Convert a .txt AcrossLite puzzle to the .puz format." << endl << endl;

        cout << "usage: " << argv[0] << " puzzlename.txt puzzlename.puz " << endl;
        cout << endl;

        return -1;
    }

    AcrossLiteTxtPuzzle txtPuzzle;
    AcrossLitePuzPuzzle puzPuzzle;

    txtPuzzle.load (argv[1]);
    puzPuzzle.copy (txtPuzzle);
    puzPuzzle.save (argv[2]);
}

